edu.sc.seis.sod.tools

## Class CommandLineTool

- java.lang.Object
- - edu.sc.seis.seisFile.client.AbstractClient
  - - edu.sc.seis.sod.tools.CommandLineTool

- Direct Known Subclasses:
    find_events, find_seismograms, find_stations

      public class CommandLineTool
      extends edu.sc.seis.seisFile.client.AbstractClient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `requiresStdin`

    - ### Fields inherited from class edu.sc.seis.seisFile.client.AbstractClient

      `args, commandName, DEFAULT_USER_AGENT, HELP, jsap, params, result, userAgent, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLineTool(java.lang.String[] args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParams()`
    `org.apache.velocity.VelocityContext` | `getContext()`
    `java.io.InputStream` | `getTemplate()`
    `static void` | `run(CommandLineTool ls)`
    `boolean` | `shouldPrintRecipe()`

    - ### Methods inherited from class edu.sc.seis.seisFile.client.AbstractClient

      `add, createListOption, createListOption, createListOption, getArgs, getCommandName, getHelp, getParams, getResult, getUserAgent, isSpecified, isSuccess, requiresAtLeastOneArg, setUserAgent, shouldPrintHelp, shouldPrintVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requiresStdin

          protected boolean requiresStdin

  - ### Constructor Detail

    - #### CommandLineTool

          public CommandLineTool(java.lang.String[] args)
                          throws com.martiansoftware.jsap.JSAPException

      Throws:
        `com.martiansoftware.jsap.JSAPException`

  - ### Method Detail

    - #### addParams

          protected void addParams()
                            throws com.martiansoftware.jsap.JSAPException

      Overrides:
        `addParams` in class `edu.sc.seis.seisFile.client.AbstractClient`
      Throws:
        `com.martiansoftware.jsap.JSAPException`

    - #### getContext

          public org.apache.velocity.VelocityContext getContext()

    - #### shouldPrintRecipe

          public boolean shouldPrintRecipe()

    - #### getTemplate

          public java.io.InputStream getTemplate()
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### run

          public static void run(CommandLineTool ls)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`